Uygulamayı aç
Moonborn — API · auth

SAML AssertionConsumerService — verifies + signs in

POST/v1/auth/sso/saml/acsscope · Public (no auth)
Request body
FieldTypeDescription
SAMLResponsereqstring
RelayStatestring

Responses

302Sign-in redirect
400Assertion invalid
Body
FieldTypeDescription
errorreqobject
error.codereqstring
error.messagereqstring

Examples

cURL
curl -X POST https://api.moonborn.co/v1/auth/sso/saml/acs \
  -H "Authorization: Bearer $MOONBORN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
      "SAMLResponse": "<string>"
    }'
TypeScript
import Moonborn from '@moonborn/sdk';

const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });

const result = await client.auth.samlAssertionConsumer({
  SAMLResponse: "<string>",
});
Python
import os
from moonborn import Moonborn

client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"])

result = client.auth.saml_assertion_consumer(
    saml_response="<string>",
)